#!/usr/bin/python

################################################################
#                                                              #
# Blue Team Training Toolkit (BT3)                             #
# written by Juan J. Guelfo @ Encripto AS                      #
# post@encripto.no                                             #
#                                                              #
# Copyright 2013-2016 Encripto AS. All rights reserved.        #
#                                                              #
# BT3 is licensed under the FreeBSD license.                   #
# http://www.freebsd.org/copyright/freebsd-license.html        #
#                                                              #
################################################################


import httplib
import libs.bt3out


__version__ = "2.1"
__author__  = "By Juan J. Guelfo | Encripto AS | post@encripto.no"


def check_for_updates(version):
    try:
        libs.bt3out.print_info("Checking for updates...")
        http_conn = httplib.HTTPSConnection("www.encripto.no", 443, timeout=10)
        headers = { "User-Agent" : "Mozilla/5.0 (compatible; BT3/" + version + ")"}
        http_conn.request("HEAD", "/tools/BT3-" + version + ".tar.gz", None, headers)
        http_resp = http_conn.getresponse()

        if http_resp.status == 404:
            libs.bt3out.print_ok("There is a new version of the Blue Team Training Toolkit!")
            libs.bt3out.print_ok("Check https://www.encripto.no/tools for more information.\n")

        elif http_resp.status == 200:
            libs.bt3out.print_info("You are running the latest version of the Blue Team Training Toolkit.\n")

        else:
            libs.bt3out.print_warning("Could not check for updates...\n")

        http_conn.close()

    except:
        libs.bt3out.print_warning("Could not check for updates...\n")

    return

